Package com.io7m.idstore.model

# Record Class IdName

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdName

Record Components:
  `value` - The name value

All Implemented Interfaces:
  `Comparable<IdName>`

public record IdName(String value) extends Record implements Comparable<IdName>
A user ID name. This is a unique, short name that can be specified as the identifier used for logging in. It is analogous to a UNIX username.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Pattern`
  `VALID_ID_NAME`
  The pattern that defines valid ID names.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdName(String value)`
  A user display name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(IdName other)`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `toString()`
  Returns a string representation of this record class.
  `String`
  `value()`
  Returns the value of the `value` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### VALID_ID_NAME

    public static final Pattern VALID_ID_NAME
    The pattern that defines valid ID names.

- ## Constructor Details

  - ### IdName

    public IdName(String value)
    A user display name.
    Parameters:
      `value` - The name value

- ## Method Details

  - ### hashCode

    public int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public boolean equals(Object obj)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `obj` - the object with which to compare
    Returns:
      `true` if this object is the same as the `obj` argument; `false` otherwise.

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### compareTo

    public int compareTo(IdName other)
    Specified by:
      `compareTo` in interface `Comparable<IdName>`

  - ### value

    public String value()
    Returns the value of the `value` record component.
    Returns:
      the value of the `value` record component